%global pypi_name sphinx-hoverxref

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        %mkrel 3
Summary:        Sphinx extension to embed content in a tooltip on xref hover
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/sphinx-hoverxref/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
sphinx-hoverxref is a Sphinx extension to add tooltips on the cross references
of the documentation with the content of the linked section.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinx-hoverxref is a Sphinx extension to add tooltips on the cross references
of the documentation with the content of the linked section.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hoverxref

rm -rf %{buildroot}%{python3_sitelib}/tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.3.0-3.mga10
+ Revision: 2242323
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 1.3.0-2.mga10
+ Revision: 2159939
- rebuild for python3.13
+ papoteur <papoteur>
- new version 1.3.0

* Fri Jul 26 2024 papoteur <papoteur> 1.3.0-1.mga10
+ Revision: 2082616
- new version 1.3.0

* Tue Dec 19 2023 papoteur <papoteur> 1.0.1-3.mga10
+ Revision: 2019480
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.1-2.mga9
+ Revision: 1824002
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.0.1-1.mga9
+ Revision: 1782433
- version 1.0.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.6b1-1.mga9
+ Revision: 1733701
- imported package python-sphinx-hoverxref

